Criar template de conversa
Este endpoint cria um novo template de conversa com os dados fornecidos.
POST
/ConversationTemplateEste endpoint cria um novo template de conversa com os dados fornecidos.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: application/json · Schema: ConversationTemplateDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
active | boolean | Não | — | — |
contentSid | string | Não | — | aceita null |
name | string | Não | — | aceita null |
message | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | — |
conversationTemplateType | ConversationTemplateType | Não | — | — |
contentVariables | object | Não | — | aceita null |
approvalStatus | ApprovalStatus | Não | — | — |
botId | integer · int32 | Não | — | — |
language | string | Não | — | aceita null |
queueIds | array<integer · int32> | Não | — | aceita null |
groupIds | array<integer · int32> | Não | — | aceita null |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/ConversationTemplate' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"active": true,
"contentSid": "string",
"name": "string",
"message": "string",
"createdAt": "2026-09-22T18:00:00Z",
"conversationTemplateType": 0,
"contentVariables": {},
"approvalStatus": 0,
"botId": 0,
"language": "string",
"queueIds": [
0
],
"groupIds": [
0
]
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Template criado com sucesso | application/json · ConversationTemplateDto |
Exemplo de resposta (200):
{
"id": 0,
"active": true,
"contentSid": "string",
"name": "string",
"message": "string",
"createdAt": "2026-09-22T18:00:00Z",
"conversationTemplateType": 0,
"contentVariables": {},
"approvalStatus": 0,
"botId": 0,
"language": "string",
"queueIds": [
0
],
"groupIds": [
0
]
}
Modelos de dados
ApprovalStatus
0 = NotRequested; 1 = Received; 2 = Pending; 3 = Approved; 4 = Rejected
integer
ConversationTemplateDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
active | boolean | Não | — | — |
contentSid | string | Não | — | aceita null |
name | string | Não | — | aceita null |
message | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | — |
conversationTemplateType | ConversationTemplateType | Não | — | — |
contentVariables | object | Não | — | aceita null |
approvalStatus | ApprovalStatus | Não | — | — |
botId | integer · int32 | Não | — | — |
language | string | Não | — | aceita null |
queueIds | array<integer · int32> | Não | — | aceita null |
groupIds | array<integer · int32> | Não | — | aceita null |
ConversationTemplateType
0 = Utility; 1 = Marketing; 2 = Authentication
integer